System.Web 2.0.0.0 System.Object System.Web.IHttpHandlerFactory

The class implements the interface to provide the default HTTP handler for ASP.NET files. The calls the ASP.NET compilation system to compile, if necessary, and return the exact type corresponding to the URL, and then creates an instance of that type. The page type inherits from the class and implements the interface.

To build a custom page handler factory, implement the and register the custom class in the Web.config file for the application in the httpHandlers Element (ASP.NET Settings Schema) configuration section.

Creates instances of classes that inherit from the class and implement the interface. Instances are created dynamically to handle requests for ASP.NET files. The class is the default handler factory implementation for ASP.NET pages.

- Constructor
  2.0.0.0

  The constructor is the default constructor and initializes any fields to their default values.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Web.IHttpHandler `` `` `` `` To be added.

  The method is called by the ASP.NET run time and returns either a valid instance of the interface or null.

  Returns an instance of the interface to process the requested resource.

  A new that processes the request; otherwise, null.

  An instance of the class that provides references to intrinsic server objects (for example, Request, Response, Session, and Server) used to service HTTP requests. The HTTP data transfer method (GET or POST) that the client uses. The property to the requested resource.
- Method
  2.0.0.0
  System.Void `` To be added.

  Enables a factory to reuse an existing instance of a handler.

  The to reuse.